%define	name	libgc
%define version 6.7
%define	rel	1
%define release %mkrel %{rel}
%define	major	1
%define finalname %mklibname gc %{major}

Summary:	Conservative garbage collector for C
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
License:	BSD
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc%{version}.tar.bz2
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n	%{finalname}
Summary:	Conservative garbage collector for C
Group:          System/Libraries
Obsoletes:	libgc
Provides:	libgc = %{version}-%{release}

%description -n	%{finalname}
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n	%{finalname}-devel
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	libgc-devel
Provides:	libgc-devel = %{version}-%{release}
Requires:	%{finalname} = %{version}

%description -n	%{finalname}-devel
Header files and documentation needed to develop programs that use
Bohem's GC 

%package -n	%{finalname}-static-devel
Summary:	Static libraries for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	libgc-static-devel
Provides:	libgc-static-devel = %{version}-%{release}
Requires:	%{finalname} = %{version}

%description -n	%{finalname}-static-devel
Static libraries neded to develop programs that use Bohem's GC

%prep
%setup -q -n gc%{version}

%build

LIBS="-ldl" %configure2_5x \
    --enable-threads=pthreads \
    --enable-cplusplus \
    --enable-static \
    --enable-shared

%make

%install
rm -rf %{buildroot}

%{makeinstall_std}

install -d %{buildroot}%{_libdir}

rm -rf %{buildroot}%{_includedir}
install -d %{buildroot}%{_includedir}/gc

install -m 644 include/*.h %{buildroot}%{_includedir}/gc

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3
rm -f doc/gc.man

%post -n %{finalname} -p /sbin/ldconfig

%postun -n %{finalname} -p /sbin/ldconfig

%post -n %{finalname}-devel -p /sbin/ldconfig

%postun -n %{finalname}-devel -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{finalname}
%defattr(-, root, root)
%doc README.QUICK
%{_libdir}/*.so.*

%files -n %{finalname}-devel
%defattr(-, root, root)
%doc doc/*
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/gc/*
%{_mandir}/man?/*

%files -n %{finalname}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a

%changelog
* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 6.7-1mdk
- New release 6.7

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.5-1mdk
- 6.5
- %%mkrel

* Wed Feb 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.4-1mdk
- 6.4

* Fri Nov 05 2004 Michael Scherer <misc@mandrake.org> 6.3-3mdk
- add c++ support

* Mon Aug 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 6.3-2mdk
- fix provides and obsoletes, should not provide and obsolete itself (rgs)

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 6.3-1mdk
- 6.3
- cosmetics

* Fri Oct 24 2003 Götz Waschk <waschk@linux-mandrake.com> 6.2-2mdk
- small spec cleanup
- use configure2_5x macro
- fix man page location

* Wed Oct 01 2003 David Walluck <walluck@linux-mandrake.com> 0:6.2-1mdk
- 6.2

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 6.1-3mdk
- rebuild for new rpm provides

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-2mdk
- build release

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.1-1mkd
- from Quel Qun <kelk1@hotmail.com> :
	- 6.1 final.

* Thu Sep  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-0.alpha5.1mdk
- initial cooker contrib
- used and fixed the provided spec file
- libifiction

* Tue Aug 20 2002 Miguel de Icaza <miguel@ximian.com>
- Moved to alpha 5

* Mon Aug 19 2002 Daniel Resare <noa@resare.com> 6.1-1
- updated to version 6.1
- changed package name to more generic libgc
- Added ldconfig invocation
- Added REAME.QUICK
- Merged devel package
- Removed private headerfiles from devel
- Removed broken manpages
- Removed nonstandard _build and _tmppath definitions (redhat specific
  _build breaks compilation in other dists and if anyone needs to move
  _tmpppath, it is better to do that system-wide in .rpmrc)
- Added URL header
- Changed group to standard one
- Removed i386 exclusivity (At least it seems to work on my ppc box)

* Sun Jun 16 2002 <richard.torkar@htu.se>
- Upgraded to 6.1alpha5
- Mono:: works on Red Hat 7.3 now

* Fri Apr 19 2002  <cvg@baselabs.org>
- Initial build.
